%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-neutron
Version:        10.3.1
Release:        5%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        ASL 2.0

URL:            https://launchpad.net/puppet-neutron

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.3.1
Patch0001: 0001-Add-support-for-l2-Gateway.patch
Patch0002: 0002-Warn-instead-of-fail-with-wrong-type_driver.patch
Patch0003: 0003-Addition-of-Nuage-as-mechanism-driver-for-ML2.patch
Patch0004: 0004-Addition-of-Nuage-configuration-to-neutron-server-co.patch
Patch0005: 0005-ocata-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0006: 0006-Switch-to-Zuul-v3-testing.patch
Patch0007: 0007-Added-parameters-to-assign-already-present-options-i.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
%setup -q -n openstack-neutron-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.3.1-5
- Added parameters to assign already present options in neutron.conf and lbaas_agent.ini
- Switch to Zuul v3 testing
- Merge "Warn instead of fail with wrong type_driver" into stable/ocata

* Fri Nov 10 2017 shrjoshi <shrjoshi@redhat.com> 10.3.1-4
- [ocata] Add Puppet package to bindep, for module build
- Merge "Warn instead of fail with wrong type_driver" into stable/ocata

* Tue Sep 19 2017 Steve Linabery <slinaber@redhat.com> 10.3.1-3
- Addition of Nuage configuration to neutron-server conf directory
- Merge "Warn instead of fail with wrong type_driver" into stable/ocata

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 10.3.1-2
- Addition of Nuage as mechanism driver for ML2
- Merge "Warn instead of fail with wrong type_driver" into stable/ocata

* Wed Jun 28 2017 Mike Burns <mburns@redhat.com> 10.3.1-1
- Update to 10.3.1

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-2
- Add Opendaylight ML2 configuration options
- Added user_domain_name and project_domain_name for nova notifications

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 10.3.0-1
- Update to 10.3.0


